Description

Hi,

Attached is a small patch I applied to our Redmine installation that makes the project name in the headline at the top of all

project-related pages into a link to that project's homepage. This is most useful if the homepage is not the Redmine site you're

already on, of course :)

For a demo, look here: http://tools.lsc-project.org/projects/show/lsc

Hope this comes in useful, otherwise no worries.

History

#1 - 2009-01-07 15:34 - Nikos Dimitrakopoulos

From a usability perspective I don't agree with this. The link on the headline should be for the project's redmine homepage (aka overview) if any and

add a link to the external-official homepage beside it/ under it/ wherever...

I say this because users (and applies to me too :) ) are generally used to return to the home page of the current site and not to some other

"homepage". For example, when i'm browsing through the redmine pages of your project, the context is redmine (

http://tools.lsc-project.org/projects/show/lsc) and not the project's homepage (http://lsc-project.org/wiki/).

Anyway, my two cents :)

#2 - 2009-01-07 16:24 - Jonathan Clarke

Nikos,

Agreed, if the actual homepage of your project is your Redmine site.

However, in my example, the project's homepage is not Redmine, but another website (http://lsc-project.org/wiki/) which contains links to Redmine for

relevant sections (roadmap, repo browser, bugtracker, features...). Therefore, it makes sense in this case to go back "home" with that link.

Whatever the situation, it seems that this probably depends on the situation, admin's taste, etc :) Maybe this could be set through preferences, or just

forget about it?

Regards,

Jonathan

#3 - 2016-09-13 17:21 - Benjamin Schunn

I agree with Nikos Dimitrakopoulos, this is not really userfriendly. Imho it should be closed.

#4 - 2016-09-18 18:22 - Toshi MARUYAMA

- Status changed from New to Closed
